<?php
	include_once($_SERVER['DOCUMENT_ROOT'].'/daten/php/startup.php');
	
	if (isset($_POST['user']) & isset($_POST['passwort'])) {
		mysql_connect('localhost', 'dbu1022769', 'fuB0gar7') or die ('Database error: Unable to connect to database.');
		mysql_select_db('db1022769-php') or die ('Database error: Unable to select database.');
		$login = strtolower($_POST['user']);
		$c_passwort = crypt($_POST['passwort'], 'mx');
		$result = mysql_query("SELECT * FROM users WHERE login='$login' and c_passwort='$c_passwort'");
		if (!$result) {
			die('SQL error: '.mysql_error());
		}
		else {
			if (mysql_num_rows($result) == 1) {
				$result = mysql_query('SELECT gruppen FROM users WHERE login="'.$login.'"');
				if (!$result) {
					die('SQL error (Gruppenabfrage fehlgeschlagen): '.mysql_error());
				}
				else {
					$gruppenliste = explode(',',mysql_result($result,0));
				}
				
				ini_set('session.use_trans_sid', '1');
				ini_set('session.use_cookies', '1');
				session_name('id');
				@session_start();
				
				$_SESSION['user'] = $login;
				$_SESSION['gruppen'] = $gruppenliste;
				$_SESSION['last_activity'] = time();
				
				if (isset($_GET['restricted'])) {
					header('Location: http://'.$_SERVER['HTTP_HOST'].$_GET['restricted'].'?id='.session_id());
				}
				else {
					header('Location: http://'.$_SERVER['HTTP_HOST'].'/index.php?id='.session_id());
				}
				exit;
			}
			else {
				sleep(2);
				header('Location: http://'.$_SERVER['HTTP_HOST'].'/login.php');
				exit;
			}
		}
	}
	else {
		$pagetitle = 'Anmelden';
		$breadcrumb = 'Anmelden';
		include_once($_SERVER['DOCUMENT_ROOT'].'/daten/php/pageheader.php');
?>

<div class="content">

<?php
	if (isset($_GET['restricted'])) {
		if (isset($_SESSION['user'])) {
			echo "<p>\n";
			echo "\tDie Seite ".$_GET['restricted']." ist nicht für Deinen Zugang freigeschaltet.\n";
			echo "\tFalls Du das für falsch hältst, <a href='info/kontakt.php'>schreib mir eine Nachricht</a>\n";
			echo "</p>";
		}
		else {
			echo "<p>\n";
			echo "\tUm die Seite ".$_GET['restricted']." aufzurufen wird ein Nutzerzugang mit entsprechenden Rechten benötigt.\n";
			echo "</p>";
		}
	}
?>
	
	<form action="<?php 
		if (!isset($_GET['restricted'])) {
			echo $_SERVER['PHP_SELF'];
		}
		else {
			echo $_SERVER['PHP_SELF'].'?restricted='.urlencode($_GET['restricted']);
		} ?>" method="post">
		<table border="0">
			<tr>
				<td>Name</td>
				<td><input type="text" name="user" size="12" /></td>
				<td></td>
			</tr>
			<tr>
				<td>Passwort</td>
				<td><input type="password" name="passwort" size="12" /></td>
				<td><input type="submit" value="Anmelden" style="font-size: x-small" /></td>
			</tr>
		</table>
	</form>
</div>

<?php
		include_once($_SERVER['DOCUMENT_ROOT'].'/daten/php/pagefooter.php');
	}
?>
